Update a Candidate
put
/public/v1/candidates/{candidate}Only the fields sent are changed.
candidatestringrequiredThe candidate UUID
Body
application/jsonfirst_namestringmax length 255middle_namestring | nullmax length 255last_namestringmax length 255preferred_namestring | nullmax length 255emailstring<email>max length 255mobilestring | nullmax length 255phonestring | nullmax length 255
Response
200application/jsonCandidateResource
dataobjectrequired▶Show 10 child attributesHide child attributes
idstringrequiredExample:f6a7b8c9-d0e1-42f3-8a4b-5c6d7e8f9a0bfirst_namestringrequiredExample:Avamiddle_namestring | nullrequiredExample:Mailast_namestringrequiredExample:Nguyenpreferred_namestring | nullrequiredExample:AvieemailstringrequiredExample:ava.nguyen@example.commobilestring | nullrequiredExample:0412 345 678phonestring | nullrequiredExample:02 9876 5432created_atstringrequiredExample:2026-03-01T10:30:00+11:00updated_atstringrequiredExample:2026-03-02T09:00:00+11:00
401Unauthenticated403Authorization error404Not found422Validation error